Page 1 of 5 123 ... LastLast
Results 1 to 10 of 46

Thread: grub-pc upgrade error w/RAID

  1. #1
    Join Date
    Mar 2007
    Beans
    1,119

    grub-pc upgrade error w/RAID

    I have a computer which has two puzzling small problems on a computer running 18.04 LTS

    First I am getting the following error whenever I update or
    Code:
     run apt install -f
    Code:
    dpkg: error processing package grub-pc (--configure):
     installed grub-pc package post-installation script subprocess returned error exit status 20
    Errors were encountered while processing:
     grub-pc
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    I've tried forcing a reinstall that didn't resolve this issue. I didn't purge grub-pc and reinstall, I'm chicken.

    It appears that grub works fine I get a grub menu and the boot stars normally.
    However at a point in the boot the process stops and I get this message

    Code:
    Press enter for maintenance (or type control-d to continue)
    Typing <control-d> causes the boot to continue normally and everything completes normally.

    I've searched the logs but no joy. I'm thinking of doing a release upgrade to 20.04 to see if that solves it.

  2. #2
    Join Date
    Jun 2009
    Location
    SW Forida
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: grub-pc upgrade error

    Lets see details, use ppa version with your live installer (2nd option) or any working install, not Boot-Repair ISO:
    Please copy & paste the pastebin link to the Boot-info summary report ( do not post report), do not run the auto fix till reviewed.
    https://help.ubuntu.com/community/Boot-Repair
    UEFI boot install & repair info - Regularly Updated :
    https://ubuntuforums.org/showthread.php?t=2147295
    Please use Thread Tools above first post to change to [Solved] when/if answered completely.

  3. #3
    Join Date
    Jun 2010
    Location
    London, England
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: grub-pc upgrade error

    You are being told that you have packages that are broken because of having unmet dependencies. The printout from apt has given you a command that will fix those broken packages. What packages are they? The printout from apt usually tells us what packages are broken. Is it Grub? Or, are they two different problems?

    Did you run?

    Code:
    sudo apt install -f
    What happened?

    Regards
    It is a machine. It is more stupid than we are. It will not stop us from doing stupid things.
    Ubuntu user #33,200. Linux user #530,530


  4. #4
    Join Date
    Mar 2007
    Beans
    1,119

    Re: grub-pc upgrade error

    Quote Originally Posted by oldfred View Post
    Lets see details, use ppa version with your live installer (2nd option) or any working install, not Boot-Repair ISO:]
    What are you asking me to run from which ppa?
    Please copy & paste the pastebin link to the Boot-info summary report ( do not post report), do not run the auto fix till reviewed.
    https://help.ubuntu.com/community/Boot-Repair

  5. #5
    Join Date
    Mar 2007
    Beans
    1,119

    Re: grub-pc upgrade error

    Quote Originally Posted by grahammechanical View Post
    You are being told that you have packages that are broken because of having unmet dependencies. The printout from apt has given you a command that will fix those broken packages. What packages are they? The printout from apt usually tells us what packages are broken. Is it Grub? Or, are they two different problems?
    I'm not completely sure iof it's one or two problems. grub-pc is the package that generates and error

    Did you run?

    Code:
    sudo apt install -f
    What happened?

    Regards
    Yes I ran it and got the same error exactly

    Code:
    # dpkg --configure -a
    Setting up grub-pc (2.02-2ubuntu8.23) ...
    dpkg: error processing package grub-pc (--configure):
     installed grub-pc package post-installation script subprocess returned error exit status 20
    Errors were encountered while processing:
     grub-pc
    # apt install -f
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up grub-pc (2.02-2ubuntu8.23) ...
    dpkg: error processing package grub-pc (--configure):
     installed grub-pc package post-installation script subprocess returned error exit status 20
    Errors were encountered while processing:
     grub-pc
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    I've been thinking of purging grub -pc and reinstalling it.

    Code:
    # apt purge grub-pc --simulate
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      grub-pc-bin grub2-common
    Use 'apt autoremove' to remove them.
    The following packages will be REMOVED:
      grub-gfxpayload-lists* grub-pc*
    0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Purg grub-pc [2.02-2ubuntu8.23] [grub-gfxpayload-lists:amd64 ]
    Purg grub-gfxpayload-lists [0.7]
    Last edited by rsteinmetz70112; July 15th, 2021 at 06:39 PM.

  6. #6
    Join Date
    Aug 2011
    Location
    51.8° N 5.8° E
    Beans
    6,016
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: grub-pc upgrade error

    Quote Originally Posted by rsteinmetz70112 View Post
    Code:
    dpkg: error processing package grub-pc (--configure):
     installed grub-pc package post-installation script subprocess returned error exit status 20
    Errors were encountered while processing:
     grub-pc
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    The first error message should be above that. Best just to show the whole output of apt install -f.

    I'm thinking of doing a release upgrade to 20.04 to see if that solves it.
    Release upgrades don't solve problems (other than "this release is no longer supported", but that's not your problem). On the contrary, you have to fix this problem before you can even attempt a release upgrade.

    Edit: OK, you showed the full output. Not much interesting there on first sight. That's weird.

  7. #7
    Join Date
    Jun 2009
    Location
    SW Forida
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: grub-pc upgrade error

    If you click on the link to Boot-Repair you should see this:

    2nd option : install Boot-Repair in Ubuntu

    - either from an Ubuntu live-session (boot your computer on a Ubuntu live-CD or live-USB then choose "Try Ubuntu") or from your installed Ubuntu session (if you can access it)
    - connect to the Internet
    - open a new Terminal, then type the following commands (press Enter after each line):
    sudo add-apt-repository ppa:yannubuntu/boot-repair
    sudo apt-get update
    sudo apt-get install -y boot-repair && boot-repair
    UEFI boot install & repair info - Regularly Updated :
    https://ubuntuforums.org/showthread.php?t=2147295
    Please use Thread Tools above first post to change to [Solved] when/if answered completely.

  8. #8
    Join Date
    Mar 2007
    Beans
    1,119

    Re: grub-pc upgrade error

    OK this is wierd I'm trying to post a response and get a Forbidden error message. I think the code I'm posting may be too long.

  9. #9
    Join Date
    Mar 2007
    Beans
    1,119

    Re: grub-pc upgrade error

    boot repair was installed on my computer but I ran the commands you suggested.
    I tried to post the output of the install but I keep getting a forbidden error.
    It doesn't seem like it was too long to me.

  10. #10
    Join Date
    Jun 2014
    Beans
    6,273

    Re: grub-pc upgrade error

    Run boot repair and click the option to Create BootInfo Summary. When it finishes, you should get a link which you can post here.

Page 1 of 5 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •